<?php
/**
 * The template for displaying Archive pages
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 * If you'd like to further customize these archive views, you may create a
 * new template file for each specific one. For example, Twenty Fourteen
 * already has tag.php for Tag archives, category.php for Category archives,
 * and author.php for Author archives.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 */

get_header(); ?>
<div class="page-heading">
    <div class="container">
        <?php
            the_archive_title( '<h1 class="archive-title uppercase">', '</h1>' );
            the_archive_description( '<div class="taxonomy-description">', '</div>' );
        ?>
        <?php if( $wp_query->post_count > 0 ): ?>
            <span class="uppercase articles-count">
                <?php
                    $bloomy_cat_count = $wp_query->found_posts;
                    printf( esc_html__( '%d Articles', 'bloomy' ), intval( $bloomy_cat_count ) );
                ?>
            </span>
        <?php endif; ?>
    </div>
</div>
<div class="main-wrapper clearfix">
	<div id="page">
		<div class="main-content">
			<div class="archive-page">
				<div class="content-area archive-content-area">
					<div class="content-archive">
						<div id="content" class="content">
							<?php			
								if (have_posts()) : while (have_posts()) : the_post();
								
								/*
								 * Include the post format-specific template for the content. If you want to
								 * use this in a child theme, then include a file called called content-___.php
								 * (where ___ is the post format) and that will be used instead.
								 */
								
								get_template_part( 'template-parts/post/content', get_post_format() );
							
								endwhile;
								
								else:
									// If no content, include the "No posts found" template.
									get_template_part( 'template-parts/post/content', 'none' );

								endif;
							?>
						</div><!--.content-->
						<?php 
							// Previous/next page navigation.
							bloomy_paging_nav();
						?>
				    </div>
				</div>
                <?php
                    if ( get_theme_mod('archive_layout') != 'flayout' ) {
                        get_sidebar();
                    }
                ?>
			</div><!--.archive-page-->
		</div><!--.main-content-->
    </div><!--#page-->
<?php get_footer(); ?>