<?php
function bloomy_register_theme_customizer_sections( $wp_customize ) {
    
    // Customizer Sections
    //--------------------------------------------//

    /*---[ General Settings -> Main Settings ]---*/
    $wp_customize->add_section( 'general_settings', array(
        'title'         => esc_html__('General Settings', 'bloomy'),
        'description'   => esc_html__('General settings of the theme', 'bloomy'),
        'priority'      => 85,
    ) );

    /*---[ General Settings -> Header ]---*/
    $wp_customize->add_section( 'header_options', array(
        'title'         => esc_html__('Header', 'bloomy'),
        'description'   => esc_html__('Change settings of header of the theme', 'bloomy'),
        'priority'      => 98,
    ) );

    /*---[ General Settings -> Footer ]---*/
    $wp_customize->add_section( 'footer_options', array(
        'title'         => esc_html__('Footer', 'bloomy'),
        'description'   => esc_html__('Change settings of Footer of the theme', 'bloomy'),
        'priority'      => 99,
    ) );

    /*---[ Post Options -> Post Meta ]---*/
    $wp_customize->add_section( 'post_meta_options', array(
        'title'         => esc_html__('Post Meta', 'bloomy'),
        'description'   => esc_html__('Change settings related to post meta', 'bloomy'),
        'priority'      => 90,
        'panel'         => 'post_options',
    ) );

    /*---[ Post Options -> Related Posts ]---*/
    $wp_customize->add_section( 'related_posts_options', array(
        'title'         => esc_html__('Related Posts', 'bloomy'),
        'description'   => esc_html__('Show or hide related posts from here', 'bloomy'),
        'priority'      => 90,
        'panel'         => 'post_options',
    ) );

    /*---[ Typography Options -> Body Font ]---*/
    $wp_customize->add_section( 'body_font', array(
        'title'         => esc_html__('Body', 'bloomy'),
        'description'   => esc_html__('Change font properties of body of theme', 'bloomy'),
        'priority'      => 8,
        'panel'         => 'font_options',
    ) );

    /*---[ Typography Options -> Logo Font ]---*/
    $wp_customize->add_section( 'logo_font', array(
        'title'         => esc_html__('Logo', 'bloomy'),
        'description'   => esc_html__('Change font properties of logo', 'bloomy'),
        'priority'      => 10,
        'panel'         => 'font_options',
    ) );

    /*---[ Typography Options -> Navigation Menu Font ]---*/
    $wp_customize->add_section( 'nav_menu_font', array(
        'title'         => esc_html__('Navigation Menu', 'bloomy'),
        'description'   => esc_html__('Change font properties of navigation menu', 'bloomy'),
        'priority'      => 12,
        'panel'         => 'font_options',
    ) );

    /*---[ Typography Options -> Headings Font ]---*/
    $wp_customize->add_section( 'headings_font', array(
        'title'         => esc_html__('Headings', 'bloomy'),
        'description'   => esc_html__('Change font properties of headings. These settings applies to headings in posts and also to post titles of widgets and related posts', 'bloomy'),
        'priority'      => 14,
        'panel'         => 'font_options',
    ) );

    /*---[  Typography Options -> Post: Entry Title Font  ]---*/
    $wp_customize->add_section( 'entry_title_font', array(
        'title'         => esc_html__(' Post: Entry Title', 'bloomy'),
        'description'   => esc_html__('Change font properties of entry title', 'bloomy'),
        'priority'      => 16,
        'panel'         => 'font_options',
    ) );

    /*---[  Typography Options -> Post: Single Title Font  ]---*/
    $wp_customize->add_section( 'single_title_font', array(
        'title'         => esc_html__(' Post: Single Title', 'bloomy'),
        'description'   => esc_html__('Change font properties of single post title', 'bloomy'),
        'priority'      => 18,
        'panel'         => 'font_options',
    ) );

    /*---[  Typography Options -> Post: Single Title Font  ]---*/
    $wp_customize->add_section( 'post_meta_font', array(
        'title'         => esc_html__(' Post: Meta', 'bloomy'),
        'description'   => esc_html__('Change font properties of post meta', 'bloomy'),
        'priority'      => 18,
        'panel'         => 'font_options',
    ) );

    /*---[  Typography Options -> Post: Content Font  ]---*/
    $wp_customize->add_section( 'post_content_font', array(
        'title'         => esc_html__(' Post: Content', 'bloomy'),
        'description'   => esc_html__('Change font properties of post content', 'bloomy'),
        'priority'      => 20,
        'panel'         => 'font_options',
    ) );

    /*---[  Typography Options -> Widgets Title Font  ]---*/
    $wp_customize->add_section( 'widgets_title_font', array(
        'title'         => esc_html__(' Widgets Title', 'bloomy'),
        'description'   => esc_html__('Change font properties of widget title', 'bloomy'),
        'priority'      => 22,
        'panel'         => 'font_options',
    ) );


    /*---[ Layout Options -> Main Layout ]---*/
    $wp_customize->add_section( 'main_layout_section', array(
        'title'         => esc_html__('Main Layout', 'bloomy'),
        'description'   => esc_html__('Change layout of blog page of theme', 'bloomy'),
        'priority'      => 10,
        'panel'         => 'layout_options',
    ) );
    /*---[ Layout Options -> Archive Layout ]---*/
    $wp_customize->add_section( 'archive_layout_section', array(
        'title'         => esc_html__('Archive Layout', 'bloomy'),
        'description'   => esc_html__('Change layout of archive pages of theme', 'bloomy'),
        'priority'      => 12,
        'panel'         => 'layout_options',
    ) );

    /*---[ Layout Options -> Archive Layout ]---*/
    $wp_customize->add_section( 'single_layout_section', array(
        'title'         => esc_html__('Single Layout', 'bloomy'),
        'description'   => esc_html__('Change layout of single posts and pages of theme', 'bloomy'),
        'priority'      => 14,
        'panel'         => 'layout_options',
    ) );

    /*---[ Layout Options -> Footer Columns ]---*/
    $wp_customize->add_section( 'footer_columns_section', array(
        'title'         => esc_html__('Footer Columns', 'bloomy'),
        'description'   => esc_html__('Chose number of footer columns for theme', 'bloomy'),
        'priority'      => 16,
        'panel'         => 'layout_options',
    ) );

    /*---[ Homepage -> Home Content ]---*/
    $wp_customize->add_section( 'home_content_section', array(
        'title'         => esc_html__('Home Content', 'bloomy'),
        'description'   => esc_html__('Change settings for homepage content', 'bloomy'),
        'priority'      => 18,
        'panel'         => 'homepage_options',
    ) );

    /*---[ Homepage -> Slider ]---*/
    $wp_customize->add_section( 'slider_section', array(
        'title'         => esc_html__('Featured Slider', 'bloomy'),
        'description'   => esc_html__('Change settings for featured slider', 'bloomy'),
        'priority'      => 20,
        'panel'         => 'homepage_options',
    ) );

    /*---[ Social Profiles ]---*/
    $wp_customize->add_section( 'social_profiles', array(
        'title'         => esc_html__('Social Profiles', 'bloomy'),
        'description'   => esc_html__('Here you can add links to your social profiles', 'bloomy'),
        'priority'      => 110,
    ) );
    
}
add_action( 'customize_register', 'bloomy_register_theme_customizer_sections' );
?>