<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme and one
 * of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query,
 * e.g., it puts together the home page when no home.php file exists.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 */

get_header(); ?>
<div class="main-wrapper clearfix">
    <div class="main-content clearfix">
        <div class="content-area home-content-area">
            <div class="content-home">
                <div id="content" class="content">
                    <?php
                        // The Query
                        if (have_posts()) : while (have_posts()) : the_post();

                        /*
                         * Include the post format-specific template for the content. If you want to
                         * use this in a child theme, then include a file called called content-___.php
                         * (where ___ is the post format) and that will be used instead.
                         */

                        get_template_part( 'template-parts/post/content', get_post_format() ); 

                        endwhile;
                        else:
                            // If no content, include the "No posts found" template.
                            get_template_part( 'template-parts/post/content', 'none' );

                        endif;

                        // Previous/next page navigation.
                        bloomy_paging_nav();
                    ?>
                </div><!--content-->
            </div><!--content-home-->
        </div><!--content-area-->
        <?php
            if ( get_theme_mod('main_layout') != 'flayout' ) {
                get_sidebar();
            }
        ?>
    </div><!--.main-content-->
<?php get_footer(); ?>