<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages and that
 * other 'pages' on your WordPress site will use a different template.
 *
 */

get_header(); ?>
<div class="main-wrapper">
    <div class="main-content" role="main" itemprop="mainContentOfPage" itemscope="itemscope" itemtype="http://schema.org/Blog">
        <div class="content-area single-content-area">
            <div class="content-page">
                <div class="content-detail">
                    <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
                        <div class="page-content">
                            <article <?php post_class(); ?> id="post-<?php the_ID(); ?>" itemscope="itemscope" itemtype="http://schema.org/BlogPosting" itemprop="blogPost">
                                <div class="post-inner">
                                    <header>
                                        <h1 class="title page-title" itemprop="headline">
                                            <?php the_title(); ?>
                                        </h1>
                                    </header>

                                    <div class="post-content entry-content single-page-content" itemprop="text">
                                        <?php the_content(); ?>
                                        <?php edit_post_link( esc_html__( 'Edit', 'bloomy' ), '<span class="edit-link">', '</span>' ); ?>
                                        <?php wp_link_pages('before=<div class="pagination">&after=</div>'); ?>
                                    </div>
                                </div><!--.post-inner-->
                                <?php
                                    comments_template();

                                    endwhile;

                                    else :
                                        // If no content, include the "No posts found" template.
                                        get_template_part( 'template-parts/post/content', 'none' );
                                    endif;
                                ?>
                            </article><!--blog post-->
                        </div>
                </div>
            </div>
        </div>
        <?php
            if ( get_theme_mod('single_layout') != 'flayout' ) {
                get_sidebar();
            }
        ?>
    </div><!--.main-content-->
<?php get_footer();?>