<?php 
    if ( bloomy_theme_mod( 'related_posts' ) == '1' ) {
        $categories = '';
        $tags = '';

        $related_count = bloomy_theme_mod( 'related_posts_count' );
        
        //Related Posts By Categories
        if ( bloomy_theme_mod( 'related_posts_by' ) == 'categories') {
            $categories = get_the_category( $post->ID );
            if ( $categories ) {
                $category_ids = array();
                foreach( $categories as $individual_category ) $category_ids[] = $individual_category->term_id;
                $args = array(
                    'category__in'          => $category_ids,
                    'post__not_in'          => array( $post->ID ),
                    'posts_per_page'        => $related_count, // Number of related posts that will be shown.
                    'ignore_sticky_posts'   => 1
                );
            }
        }
        //Related Posts By Tags
        else {
            $tags = wp_get_post_tags( $post->ID );
            if ( $tags ) {
                $tag_ids = array();  
                foreach( $tags as $individual_tag ) $tag_ids[] = $individual_tag->term_id;  
                $args = array(
                    'tag__in'               => $tag_ids,  
                    'post__not_in'          => array($post->ID),  
                    'posts_per_page'        => $related_count, // Number of related posts to display.  
                    'ignore_sticky_posts'   => 1 
                ); 
            }
        }
        if ($categories || $tags) {
            $my_query = new WP_Query( $args );
            if( $my_query->have_posts() ) { ?>
                <div class="relatedposts single-section clearfix">
                    <h3 class="section-heading uppercase">
                        <?php esc_attr_e( 'Related Posts','bloomy'); ?>
                    </h3>
                    <ul>
                        <?php
                        while( $my_query->have_posts() ) {
                            $my_query->the_post();?>
                            <li>
                                <div class="related-content">
                                    <?php if ( has_post_thumbnail() ) { ?>
                                        <div class="relatedthumb featured-thumbnail">
                                            <a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="nofollow">
                                                <?php the_post_thumbnail('bloomy-related'); ?>
                                            </a>
                                        </div><!-- .relatedthumb -->
                                    <?php } ?>
                                    <div class="relatedcontent">
                                        <header>
                                            <h2 class="title widgettitle">
                                                <a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="nofollow"><?php the_title(); ?></a>
                                            </h2>
                                            <div class="post-meta">
                                                <?php if ( bloomy_theme_mod( 'post_author' ) ) { ?>
                                                    <span class="post-author" itemprop="author" itemscope itemptype="http://schema.org/Person">
                                                        <?php the_author_posts_link(); ?>
                                                    </span>
                                                <?php } ?>
                                                <?php if ( bloomy_theme_mod( 'post_date' ) ) { ?>
                                                    <span class="post-date">
                                                        <time itemprop="datePublished" datetime="<?php echo esc_attr( get_the_date( 'c' ) ); ?>" title="<?php echo esc_html( get_the_date() ); ?>">
                                                            <?php the_time('F d, Y'); ?>
                                                        </time>
                                                    </span>
                                                <?php } ?>
                                            </div>
                                        </header><!--.header-->
                                    </div><!--relatedcontent-->
                                </div><!--.related-content-->
                            </li>
                            <?php
                        } ?>
                    </ul>
                </div>
                <?php
            }
        }
        wp_reset_postdata();
    }
?>